From f1e7b2388828eb15739d82ef52e9522d9ac8d036 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Fri, 29 Jan 2021 12:00:56 +0300
Subject: [PATCH 41/59] AlpineApkResource: add AppStream data setter

---
 libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp | 5 +++++
 libdiscover/backends/AlpineApkBackend/AlpineApkResource.h   | 1 +
 2 files changed, 6 insertions(+)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
index a6f4bc0fa..8f493a490 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.cpp
@@ -285,6 +285,11 @@ bool AlpineApkResource::hasAppStreamData() const
     return !m_appsC.id().isEmpty();
 }
 
+void AlpineApkResource::setAppStreamData(const AppStream::Component &component)
+{
+    m_appsC = component;
+}
+
 bool AlpineApkResource::canExecute() const
 {
     if (hasAppStreamData()) {
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
index e8948c467..5304a8773 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
@@ -73,6 +73,7 @@ public:
     void setAddons(const AddonList &addons);
     void setAddonInstalled(const QString &addon, bool installed);
     void setAvailableVersion(const QString &av);
+    void setAppStreamData(const AppStream::Component &component);
 
 private:
     bool hasAppStreamData() const;
-- 
GitLab


